#include "Link.h"

namespace cosi {

namespace library {

namespace onchipcommunication {

Link::Link(){

}
Link::~Link(){

}

void Link::SetAreaModel(cosi::models::onchipcommunication::LinkAreaModel* pModel){
	mAreaModel = pModel ;
}

void Link::SetPowerModel(cosi::models::onchipcommunication::LinkPowerModel* pModel){
	mPowerModel = pModel ;
}

void Link::SetDelayModel(cosi::models::onchipcommunication::LinkDelayModel* pModel){
	mDelayModel = pModel ;
}


}
}
}